This document describes the current stable version of Celery (5.6). For development docs, go here.

# `celery.backends.azureblockblob`

The Azure Storage Block Blob backend for Celery.

class celery.backends.azureblockblob.AzureBlockBlobBackend(url=None, container_name=None, *args, **kwargs)

  Azure Storage Block Blob backend for Celery.

  as_uri(include_password=False)

    Return the backend as an URI, sanitizing the password or not.

  delete(key)

    Delete the value at a given key.

    Parameters:

      key – The key of the value to delete.

  get(key)

    Read the value stored at the given key.

    Parameters:

      key – The key for which to read the value.

  mget(keys)

    Read all the values for the provided keys.

    Parameters:

      keys – The list of keys to read.

  set(key, value)

    Store a value for a given key.

    Parameters:

      - key – The key at which to store the value.

      - value – The value to store.